---------------------
PatchSet 10851 
Date: 2007/06/17 22:08:48
Author: hno
Branch: HEAD
Tag: (none) 
Log:
Bug #1900: Double "squid -k shutdown" makes Squid restart again

Members: 
	src/main.cc:1.447->1.448 

Index: squid3/src/main.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/main.cc,v
retrieving revision 1.447
retrieving revision 1.448
diff -u -r1.447 -r1.448
--- squid3/src/main.cc	30 Apr 2007 16:56:09 -0000	1.447
+++ squid3/src/main.cc	17 Jun 2007 22:08:48 -0000	1.448
@@ -1,6 +1,6 @@
 
 /*
- * $Id: main.cc,v 1.447 2007/04/30 16:56:09 wessels Exp $
+ * $Id: main.cc,v 1.448 2007/06/17 22:08:48 hno Exp $
  *
  * DEBUG: section 1     Startup and Main Loop
  * AUTHOR: Harvest Derived
@@ -1576,6 +1576,12 @@
                 exit(0);
                 break;
 
+            case SIGINT:
+            case SIGTERM:
+		syslog(LOG_ALERT, "Exiting due to unexpected forced shutdown");
+                exit(1);
+                break;
+
             default:
                 break;
             }
